@import url('https://fonts.googleapis.com/css?family=Cherry Bomb One|Itim|Coral Pixels|Special Elite|Silkscreen|Press Start 2P');

body {
    margin: 0;
    padding: 10px;
    overflow-x: hidden;
    font-family: Courier New;
    font-size: 13px;
    font-weight: bold;
    background-image:  url(https://heathersaturnia.neocities.org/pxls/deco/smgrdppr.gif) ;
    background-repeat:  repeat;
    background-position:top right;
    background-size:80px;
}




.code-box-container {
    display: flex; 
    flex-direction: row;
    gap: 10px;
    width: 800px; 
}

.copyButton {
    width: 250px; 
    font-size: 12px;
    padding: 5px;
    overflow-x: auto;
    background-color: #eee;
    font-family: "Courier New", Courier, monospace;
    cursor: text;
    resize: none;
    height: 105px;
    overflow-y: auto;
}

.notebook {
    position: relative;
    width: 850px; 
    height: 480px;
    margin: 5px;
    margin-bottom: 5px; 
    z-index: 0; 
    top: -12px;
}


.page1L {
    position: absolute;
    left: 10px; 
    top: 10px; 
    width: 385px; 
    height: 450px; 
    overflow-x: hidden;
     background-color: #ffffff;
    border-radius: 8px;
    background-size: 500px;
    border: 1px #423D3D solid;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
    z-index: 1; 
}


.page1L .caption {
    display: none; 
}


.page1R {
    position: absolute;
    left: 410px; 
    top: 10px; 
    width: 385px; 
    height: 450px; 
    display: flex; 
    flex-direction: column;
    justify-content: center; 
    align-items: center; 
    overflow: hidden;
    padding: 10px; 
    box-sizing: border-box; 
    background-color: #ffffff;
    border-radius: 8px;
    background-size: 500px;
    border: 1px #423D3D solid;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
    z-index: 1; 
}


.page1R img {
    max-width: 100%; 
    max-height: 100%; 
    object-fit: contain; 
    margin: 0; 
}


.notecover {
    position: absolute;
    top: 0;
    left: 0;
    width: 850px;
    z-index: -1;
}

.coverleft {
    position: absolute;
    left: 0; 
    top: 0; 
    width: 400px; 
    height: 470px; 
     background-color: #423D3D;
    border-radius: 10px;
    border: 1.5px #050301 solid;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
}


.coverright {
    position: absolute;
    left: 404px; 
    top: 0; 
    width: 400px;
    height: 470px; 
    background-color: #423D3D;
    border-radius: 10px;
    border: 1.5px #050301 solid;
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.2);
}


.spiral {
    position: absolute;
    top: 15px;
    left: 382px; 
    width: 50px;
    height: 438px;
    z-index: 2; 
    image-rendering: auto;
    background-image: url(https://heathersaturnia.neocities.org/exmpls/notebookrings.png);
    background-size: 45px;
    background-repeat: repeat-y;

}

.content { 
    display: grid; 
    padding: 15px; 
    gap: 5px; 
    position: absolute; 
    top: 5px; 
    z-index: 1; 
    width: 390px; 
   
}
header{
    grid-column: 1 / -1; 
     font-family: "Arial";
    font-size: 14px;
    font-weight: bold;
    text-align: left;
    color: #000;
    margin-bottom: 0px;
}
p {
    max-width: 350px;
    grid-column: 1 / -1; 
    font-family: "Courier New";
    font-size: 11px;
    font-weight: bold;
    line-height: 1.4;
    text-align: left;
    color: #000;
     margin-top: 0;
    
}







.tabs {
    position: absolute;
    left: 0px;          
    top: 180px;           
    transform: translateY(-50%) rotate(-90deg);
    transform-origin: left center;
    display: flex;
    gap: 5px;
    z-index: 0;         
}


.tabs-right {
    position: absolute;
    right: 39px;         
    top: 120px;
    transform: translateY(-50%) rotate(90deg);
    transform-origin: right center;
    display: flex;
    gap: 5px;
    z-index: 0;           
}



.tablinks {
    z-index: 1;
    width: 45px; 
    padding: 5px; 
    font-family: "Courier New";
    font-size: 12px;
    font-weight: bold;
    border: 1px solid #000000;
    color: #f8f6f6;
    border-radius: 5px; 
    cursor: pointer;
    background: #4c5e41;
    transition-duration: 0.3s; 
    
}


.tablinks:hover {
    background: #7e976e; 
    color: #ffffff;
}


.tablinks.active {
    background: #7baa5e;
    box-shadow: 1px 1px 8px #808080;
    color: #000000;
}


.tabcontent .content {
    display: grid; 
   grid-template-columns: repeat(auto-fill, minmax(100px, 120px));
    top: 5px; 
    grid-gap: 10px; 
    padding: 10px; 
    box-sizing: border-box; 
    width: 400px;
    position: absolute; 
}


.image-gallery {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center; 
    align-items: center; 
    margin-top: 10px;
}

.image-gallery img {
    width: 90px;
    height: 90px;
    object-fit: cover;
    margin: 5px;
   
    
}
.lightbox {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    display: flex;            
    flex-direction: column;    
    justify-content: center;
    align-items: center;
}


.lightbox-image {
    height: 350px; 
    max-width: 100%; 
    object-fit: contain; 
    margin-bottom: 4px;
    padding: 2px;
    
}

.lightbox-caption {
    font-family: "Courier New"; 
    font-size: 12px; 
    font-weight: bold;
    text-align: center; 
    color: #000000; 
    margin-top: 10px;
    border: 1px solid #000000;
    width: 350px;
    padding: 2px;
    padding-top: 4px;
    max-height: 60px;
    overflow-y: auto;
}

.thumbnail {
    width: 100px; 
    height: 100px;
    object-fit: cover; 
    cursor: pointer;
}



.footer {
    max-width: 810px; 
    border: 1px dotted #000000;
    background-color: #ffffff;
    margin-top: 5px;
    padding: 2px;
}


* {
  scrollbar-width: thin;          
  scrollbar-color: #4c5e41 transparent; 
}
